AT(1)

NAME
at, batch, atq, atrm - queue, examine, or delete jobs for later execution

SYNOPSIS
at [-q queue] [-f file] [-m] time
atq [-q queue] [-v]
atrm job [job ...]
batch [-f file] [-m]

DESCRIPTION
The at and batch utilities read commands from the standard input or a specified file which are to be executed at a later time, using sh(1).

The functions of the commands are as follows:

at  Executes commands at a specified time.

atq Lists the user's pending jobs, unless the user is the superuser. In that case, everybody's jobs are listed.

atrm
    Deletes jobs.

batch
    executes commands when system load levels permit. In other words, it executes the commands when the load average drops below a specified level.

For both at and batch, the working directory, environment (except for the variables TERM, TERMCAP, DISPLAY, and _) and the umask are retained from the time of invocation. The user will be mailed the standard output and standard error from his commands if any output is generated. If at is executed from a su(1) shell, the owner of the login shell will receive the mail.

OPTIONS
The available options are as follows:

-q queue
    Use the specified queue. A queue designation consists of a single letter; valid queue designation range from a to l. The a queue is the default, and b is the batch queue. Queues with higher letters run with increased niceness. If atq is given a specific queue, it will only show jobs pending in that queue.

-m  Send mail to the user when the job has completed, even if there was no output.

-f file
    Reads the job from file rather than the standard input.

-v  Shows completed but not yet deleted jobs in the queue.

TIME SPECIFICATION
at allows some moderately complex time specifications. It accepts times of the form ‘HHMM’ or ‘HH:MM’ to run a job at a specific time of day. If that time is already passed, the next day is assumed. You may also specify ‘midnight’, ‘noon’, or ‘teatime’ (4PM) and you can give a time of day suffixed with ‘AM’ or ‘PM’ for running in the morning or the evening. You can also specify the date on which the job will be run by giving a date in the form ‘month-name day’ with an optional ‘year’, or giving a date of the form ‘MMDDYY’, ‘MM/DD/YY’ or ‘DD.MM.YY’. You can also give times like ‘now’ + ‘count’ time-units , where the time units can be ‘minutes’, ‘hours’, ‘days’, or ‘weeks’ You can suffix the time with ‘today’ to run the job today, or ‘tomorrow’ to run the job tomorrow.

For example, to run a job at 4PM three days from now, you would specify a time of “4PM + 3 days”. To run a job at 10:00AM on on July 31, you would specify a time of “10AM Jul 31”. Finally, to run a job at 1AM tomorrow, you would specify a time of “1AM tomorrow”.

FILES
/var/at/jobs
    Directory containing job files
/var/at/spool
    Directory containing output spool files
/var/at/lockfile
    Job-creation lock file.
/var/run/utmp

SEE ALSO
cron(8), nice(1), sh(1), atrun(8)

AUTHOR
Thomas Koenig, ig25@rz.uni-karlsruhe.de

BUGS
Traditional access control to at and batch via the files /var/at/at.allow and /var/at/at.deny is not implemented.

If the file /var/run/utmp is not available or corrupted, or if the user is not logged in at the time at is invoked, the mail is sent to the userid found in the environment variable LOGNAME. If that is undefined or empty, the current userid is assumed.